#
# spec file for package php5-pear-date (Version 1.4.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%if 0%{?suse_version} >= 1010
%define _name    php5-pear-date
%define _phpdir  php5
%define _phpbin  %{_bindir}/php5
%define _peardir PEAR
%define _pear    pear5
%endif
%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
%define _name    php4-pear-date
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define _name    php-pear-date
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif

%if 0%{?suse_version} >= 1010 || %{?sles_version} >= 10
PreReq:			php5-pear
Requires:               php5-pear
BuildRequires:          php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
PreReq:			php4-pear
Requires:               php4-pear
BuildRequires:          php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
PreReq:			php-pear
Requires:               php-pear
BuildRequires:          php-pear
%endif

Name:           %{_name}
%define peardir %{_datadir}/%{_phpdir}/%{_peardir}
License:        BSD
Group:          Productivity/Networking/Web/Servers
Version:        1.4.6
Release:        5.3
Summary:        PEAR date and time zone classes
URL:            http://pear.php.net/package/Date
Provides:       php-pear-date
Source:         http://pear.php.net/get/Date-%{version}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Generic PEAR classes for representation and manipulation of dates,
times and time zones without the need of timestamps, which is a huge
limitation for php programs. Includes time zone data, time zone
conversions and many date/time conversions. It does not rely on 32-bit
system date stamps, so you can display calendars and compare dates that
date pre 1970 and post 2038. This package also provides a class to
convert date strings between Gregorian and Human calendar formats.


Authors:
--------
    Pierre-Alain Joye
    Alan Knowles <alan@akbkhome.com>
    Baba Buehler <baba@babaz.com>
    Monte Ohrt <monte@ohrt.com>

%debug_package
%prep
%setup -c

%build

%install
%__mv package*.xml Date-%{version}
cd Date-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
%__rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
# workaround
%__sed -i "s|$RPM_BUILD_ROOT|/|g" $RPM_BUILD_ROOT%{peardir}/test/Date/tests/calc.php

%clean
%__rm -rf %{BuildRoot}

%files
%defattr(-, root, root)
%dir %{peardir}/test
%{peardir}/test/Date
%{peardir}/Date
%{peardir}/Date.php
%doc %{_docdir}/%{name}

%changelog -n %{name}
* Sat Jun 17 2006 - Marcus Hüwe <suse-tux@gmx.de>
- made spec file portable for older/new suse-versions
- removed #usedforbuild, added %clean-macro
- added rpmmacros (changed "sed" to "%__sed" etc.)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 - mmarek@suse.cz
- created package to satisfy horde dependencies
